## ros-humble-sick-scan-xd 3.5.0

=== debian/changelog ===
ros-humble-sick-scan-xd (3.5.0-1bookworm) bookworm; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- rostest <ros.test@lehning.de>  Mon, 23 Sep 2024 15:24:30 -0000

ros-humble-sick-scan-xd (3.4.0-1bookworm) bookworm; urgency=high

  * Release v3.4.0
    * add: azimut angle table for MRS-1xxx and LMS-1xxx with firmware 2.2.0 oder newer
    * add: dockertests for MRS-1xxx, multiScan and picoScan with ROS-2
    * add: API-funktion SickScanApiSendSOPAS to send SOPAS commands (e.g. "sRN SCdevicestate" or "sRN ContaminationResult")
    * add: generation of TF messages
    * add: Option to deactivate initialization sequence for TiM-7xxS devices
    * add: Documented option "-b master"  to clone the release version
    * fix: #316 API re-init nach close

 -- rostest <ros.test@lehning.de>  Wed, 17 Apr 2024 16:00:00 -0000

ros-humble-sick-scan-xd (3.3.0-1bookworm) bookworm; urgency=high

  * Release v3.3.0
    * add: Option for MRS1xxx azimuth correction table
    * add: Support for picoScan100 (single echo w/o addons)
    * add: API logging functions and verbosity (#270)
    * add: API documentation (multiple lidars not supported, #281)
    * changed: API extended (added topic in PointCloud messages, #271)

 -- rostest <ros.test@lehning.de>  Sun, 03 Mar 2024 16:00:00 -0000

ros-humble-sick-scan-xd (3.2.0-1bookworm) bookworm; urgency=high

  * Release v3.2.0
    * add: IMU support for multiScan and picoScan
    * add: support bloom releases for ROS-2 humble
    * add: docker tests for ROS1 noetic incl. testcases for multiScan, picoScan, MRS1xxx
    * add: PR #255, support picoScan performance profiles
    * change: configuration time flag LMDscandatacfg switched off for the TiM240
    * fix: #218 (API reinit)
    * fix: #220 (Fullframe Laserscan messages multi- and picoScan)
    * fix: #221 (No scandata while activated scan range filter)
    * fix: #222 (rviz visualization of polar pointclouds)
    * fix: #247 (Launchfile option for laserscan topic)
    * fix: #256 (Clean API-exit picoScan and multiScan)
    * fix: #260 (Provide API-functions to query lidar status, error codes and error messages)
  * Contributors: Manuel Aiple

 -- rostest <ros.test@lehning.de>  Sun, 11 Feb 2024 16:00:00 -0000

ros-humble-sick-scan-xd (3.1.0-1bookworm) bookworm; urgency=high

  * Release v3.1.0
    * add: IMU support for multiScan
    * add: LaserScan output for picoScan
    * fix: API reinit
    * fix: multiScan data output with range filter activated
    * fix: adapt multiScan startup and shutdown sequence
    * fix: adaptations for MRS-1000 v2 firmware
  * Contributors: Manuel Aiple

 -- rostest <ros.test@lehning.de>  Mon, 20 Nov 2023 16:00:00 -0000

ros-humble-sick-scan-xd (3.0.0-1bookworm) bookworm; urgency=high

  * Release v3.0.0
    * add: New topics for additional data and properties
    * add: Official ARM64 support
    * add: ROS module name consistency
    * add: Service for requesting contamination detection information
    * add: Improvements from customer tickets and documentation enhancements
  * Contributors: Manuel Aiple

 -- rostest <ros.test@lehning.de>  Tue, 10 Oct 2023 16:00:00 -0000

ros-humble-sick-scan-xd (2.10.2-1bookworm) bookworm; urgency=high

  * Release v2.10.2
    - correct picoScan details in documentation and launch files
  * Release v2.10.1
    * make Compact format the default for picoScan and multiScan
  * Release v2.10.0
    * add picoScan support
    * add Compact format support
    * add LMS4000 encoder setting support
    * fix multiScan angle range filter parameter unit
    * fix MRS1104 diagnostic message
    * fix TiM781S login
  * chore: add note on supported interfaces
  * Merge branch 'master' into develop
  * Merge branch 'master' into develop
  * Merge branch 'master' into develop
  * Release v2.9.0 - RMSxxxx support and NAV350 support
  * Merge feature/RMSxxxx into develop
  * chore: revert picoScan references
  * NAV350 support integrated
  * chore: change mrs100 occurences into multiScan
  * Correct cmake option handling and adapt documentation
  * Merge branch 'master' into develop
    # Conflicts:
    # driver/src/sick_scan_common.cpp
  * Feature/lrs3601 angle settings
  * Documentation updated (regarding comments from Silas)
  * fix: address points raised by catkin_lint
  * Update README.md
  * Update REQUIREMENTS.md
  * Update README.md
  * chore: Update driver state diagram
  * Contributors: Manuel Aiple, Michael Lehning, Silas Gschwender

 -- rostest <ros.test@lehning.de>  Thu, 31 Aug 2023 16:00:00 -0000

ros-humble-sick-scan-xd (2.9.1-1bookworm) bookworm; urgency=high

  * Release v2.9.1 - Angle correction
    * Angle correction (min/max angle settings), fix TIM551 points have bad coordinates. #166 <https://github.com/SICKAG/sick_scan_xd/issues/166>
    * TiM240 initialization (start measurement)
  * CHANGELOG.md updated
  * Merge branch 'feature/interlace_doc' into feature/angle_correction
  * Update angle correction #166 <https://github.com/SICKAG/sick_scan_xd/issues/166>
  * cone_section moved and interlacing mode explanation extended
  * Remarks about interlacing and curved lines on a flat plane
  * Contributors: Manuel Aiple, Michael Lehning, rostest

 -- rostest <ros.test@lehning.de>  Sun, 14 May 2023 16:00:00 -0000

ros-humble-sick-scan-xd (2.9.0-1bookworm) bookworm; urgency=high

  * Release v2.9.0 - RMSxxxx support and NAV350 support
  * Contributors: Manuel Aiple

 -- rostest <ros.test@lehning.de>  Thu, 04 May 2023 16:00:00 -0000

ros-humble-sick-scan-xd (2.8.15-1bookworm) bookworm; urgency=high

  * V.2.8.15 release:
    * **Update** Win64 build instructions
    * **Update** API documentation, driver states diagrams and typos
    * **Added** LRS-36xx configuration for upside-down mounting
    * **Removed** Obsolete service commands and RMS3xx support
    * **Fix** LRS-36xx angle configuration
    * **Fix** catkin_lint warnings
    * **Fix** ROS-2 Humble build
  * Update REQUIREMENTS.md

